<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LCalledPartyTracing StructType
 * @subpackage Structs
 */
class LCalledPartyTracing extends AbstractStructBase
{
    /**
     * The directorynumber
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $directorynumber;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LCalledPartyTracing
     * @uses LCalledPartyTracing::setDirectorynumber()
     * @uses LCalledPartyTracing::setDescription()
     * @uses LCalledPartyTracing::setUuid()
     * @param string $directorynumber
     * @param string $description
     * @param string $uuid
     */
    public function __construct($directorynumber = null, $description = null, $uuid = null)
    {
        $this
            ->setDirectorynumber($directorynumber)
            ->setDescription($description)
            ->setUuid($uuid);
    }
    /**
     * Get directorynumber value
     * @return string|null
     */
    public function getDirectorynumber()
    {
        return $this->directorynumber;
    }
    /**
     * Set directorynumber value
     * @param string $directorynumber
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCalledPartyTracing
     */
    public function setDirectorynumber($directorynumber = null)
    {
        $this->directorynumber = $directorynumber;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCalledPartyTracing
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LCalledPartyTracing
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
